Skip to content
WarpStream Documentation
Start Free

Delete Subscriptions

Delete a batch of client metrics subscriptions by name.

Deletes a batch of client metrics subscriptions by name. If any of the named subscriptions does not exist, no deletes are applied and the call returns a 404 error.

Requires admin permissions.

curl https://api.warpstream.com/api/v1/delete_client_metrics_subscriptions \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{
"virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee",
"client_metrics_subscription_names": ["staging-producers", "all-clients"]
}'
{}